-- |
-- Module      :  Main
-- Copyright   :  (c) OleksandrZhabenko 2020
-- License     :  MIT
--
-- Maintainer  :  olexandr543@yahoo.com
--
-- A program and a library to modify the amplitude of the sound representations for 
-- the Ukrainian language created by mmsyn7ukr package or somehow otherwise.
--

module Main where

import MMSyn7l (changeVolume)

-- | The main and the only one function in the module.
main :: IO ()
main = do 
  putStrLn "Now you can change the amplitude of the sound representations of the Ukrainian sounds (or something similar). "
  putStrLn ""
  mapM_ changeVolume ["A.wav", "B.wav", "C.wav", "D.wav", "E.wav", "F.wav", "G.wav", "H.wav", 
        "I.wav", "J.wav", "K.wav", "L.wav", "M.wav", "N.wav", "O.wav", "P.wav", "Q.wav", "R.wav", 
          "S.wav", "T.wav", "U.wav", "V.wav", "W.wav", "X.wav", "Y.wav", "Z.wav", "a.wav", "b.wav", "c.wav", 
            "d.wav", "e.wav", "f.wav"]
  putStrLn ""
  putStrLn "Now you have changed (or left unchanged) the amplitudes for the sound representations for Ukrainian language. "
  putStrLn "Please, remember about responsible usage especially in case of processing the real voice sound samples! "

            
